# This script is evaluated by Eclipse when the user choose
# the GUI command Remove.
# It is in charge of doing clean up on the currently selected
# Eclipse project.

# Name: clean
# Parameter: $tool the Logiscope tool for which the action is rquested (rule, audit, review, test)
#            $lang the language of the current project
# Return: None
#
# This proc is activated when the GUI command Remove is
# activated. It is redirected to clean_$tool proc.
proc clean {tool lang} {
    # Call the clean dedicated to the current tool    
    clean_$tool $lang

    # If returned value is not empty, it will be displayed 
    # in the Eclipse console
    return {}
}

# Name: clean_rule
# Parameter: $lang the language of the current project
# Return: None
#
# This proc is in charge pf removing Logiscope stuff from the currently
# selected project.
proc clean_rule {lang} {
    set ::Language $lang
    
    # Removes all generated violations
    eclog::deleteViolations

    # Remove the linked file for Logiscope project
    eclog::removeFileLink $::LinkedRuleProjectName
	
    # Remove a linked file for Logiscope report
    eclog::removeFileLink $::LinkedRuleReport
}
