# This script is evaluated from Eclipse to initialize various things.

set EclogDirectory [file dirname [info script]]
source [file join $::EclogDirectory config.tcl]

set ScriptsDirectory [file nativename [file join [java::call com.kalimetrix.logiscope.utilities.LogiscopeUtils getInstallDirectory] Scripts]]

# Initialization of some Directory used by other scripts
set CommonDirectory [file join $::ScriptsDirectory common]
set EnvironmentDirectory [file join $::ScriptsDirectory environment]
set GuiDirectory [file join $::ScriptsDirectory gui]

# Set proc_debug to 1 to get better traces and stack trace.
set proc_debug 1
if {$proc_debug && ![string length [info commands i_proc]]} {
	rename proc i_proc
	i_proc proc {name param body} {
	    set new_body {
		set r [catch {PUT_BODY_HERE} res]
	    switch -- $r {
	    0 - 2 {
	    	return $res
	    }
	    1 {
	    	output "$::errorInfo"
	    	return -code 1 -errorinfo "" -errorcode $::errorCode
		}
	    default {
	    	return -code $r -errorinfo $::errorInfo -errorcode $::errorCode
	    }
	    }
	    }
	    set body [string map [list PUT_BODY_HERE $body PUT_NAME_HERE $name] $new_body]
	    namespace inscope [uplevel 1 {namespace current}] [list i_proc $name $param $body]
	}
}

