# This script is evaluated once a Logiscope build is finished.

# Because the Logiscope package defines the output proc
# we rename ours temporarily, then logiscope package is loaded
# then our output proc is reput
rename output java_output
package require logiscope
rename output {}
rename java_output output

# Name: post
# Parameter: $tool the Logiscope tool for which build is finished (rule, audit, review, test)
#            $lang the language of the current project
# Return: None
#
# This proc loads the Logiscope project which has just been built
# then sources the script post_$tool.tcl and calls the proc post_$tool
proc post {tool lang} {
    # Retreives the Logiscope project path
    set ttp [eclog::getTtpPath $tool]
 
    # Prepare Logiscope data
    output "Logiscope loading : $ttp"
    LoadProject $ttp
    LoadLogiscope
    output "Logiscope project loaded."

    # Now go to specific scripts
    set script [file join $::EclogDirectory post_${tool}.tcl]
    uplevel #0 [list source $script]

    # Call the post dedicated to the current tool    
    post_$tool $lang
    
    return {}
}
