# This script contains proc deciding if a command should be
# available or not.

set ::Script [info script]

# Name: check
# Parameter: $selection the java selected object from Eclipse platform
#	     $tool the Logiscope tool for which the action is rquested (rule, audit, review, test)
# Return: 1 if the selection is correct, 0 otherwise
#
# This proc is activated to now if the GUI command Check is
# available or not. It is redirected to project_selection.
proc check {selection tool} {
    return [project_selection $selection $tool]
}

# Name: remove
# Parameter: $selection the java selected object from Eclipse platform
#	     $tool the Logiscope tool for which the action is rquested (rule, audit, review, test)
# Return: 1 if the selection is correct, 0 otherwise
#
# This proc is activated to now if the GUI command Remove is
# available or not. It is redirected to project_selection.
proc remove {selection tool} {
    return [project_selection $selection $tool]
}

# Name: project_selection
# Parameter: $selection the java selected object from Eclipse platform
#	     $tool the Logiscope tool for which the action is rquested (rule, audit, review, test)
# Return: 1 if the selection is correct, 0 otherwise
#
# This proc is in charge of finding the IProject corresponding to the object
# selected in the Eclipse platform
# Once the project has been found, its language is searched.
# If the language matches one of Java, C, C++ or Ada the command
# can be activated in Eclipse
proc project_selection {selection tool} {
    set project [eclog::getIProject $selection]
    if {[eclog::isNull project]} {return 0}
    
    set language [eclog::getLanguage $project]
    return [expr ![string equal $language "unknown"]]
}
